#!/bin/sh

#
# Runs the WSDL2TAM tool for taking WSDL documents and generating script for creating TAM protected objects.
#
# NB. Requires Java 1.4.2 or better. Ensure WAS_JARS is set for the correct version of WAS.
#

# Make sure the Java home directory is correct.

export JAVA_HOME=/opt/IBM/WebSphere/AppServer/java/jre

# Make sure the WAS home directory location is correct.

export WAS_HOME=/opt/IBM/WebSphere/AppServer

# Make sure the FIM home directory location is correct.

export FIM_HOME=/opt/IBM/FIM

# The WSSM home directory.

export WSSM_HOME=$FIM_HOME/wssm

# The required WAS 6.0.2 jars.

# export WAS_JARS=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/lib/wsdl4j.jar

# The required WAS 6.1 jars.

export WAS_JARS=$WAS_HOME/lib/j2ee.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar

# The required WSSM jars.

export WSSM_JARS=$WSSM_HOME/lib/itfim-wssm-common.jar:$WSSM_HOME/lib/itfim-wssm-mgmt.jar

export CLASSPATH=$WSSM_HOME:$WSSM_JARS:$WAS_JARS:$CLASSPATH

$JAVA_HOME/bin/java -Djava.ext.dirs="$JAVA_HOME/lib/ext:$WAS_HOME/lib" -Djava.util.logging.config.file=$WSSM_HOME/logging.properties com.tivoli.am.fim.wssm.management.WSDL2TAM $*
